require 'socket'
require_relative "../lib/config_helper"

# Define the cookbooks we depend on
$oxconfig.cookbooks = {
  "open-xchange-backend-core" => {
    "path"     => File.expand_path("../../../../infrastructure/open-xchange-backend-core", __FILE__),
    "git"      => "https://code.open-xchange.com/git/infrastructure/cookbook/ox/open-xchange-backend-core",
    'git_tag'  => '1.2.7'
  },
  "open-xchange-core" => {
    "path"     => File.expand_path("../../../../infrastructure/open-xchange-core", __FILE__),
    "git"      => "https://code.open-xchange.com/git/infrastructure/cookbook/ox/open-xchange-core",
    'git_tag' => '0.12.0'
  },
  "open-xchange-apache" => {
    "path"     => File.expand_path("../../../../infrastructure/open-xchange-apache", __FILE__),
    "git"      => "https://code.open-xchange.com/git/infrastructure/cookbook/ox/open-xchange-apache",
    'git_tag' => '0.10.2'
  },
  "open-xchange-singlenode" => {
    "path"     => File.expand_path("../../../../infrastructure/open-xchange-singlenode", __FILE__),
    "git"      => "https://code.open-xchange.com/git/infrastructure/cookbook/ox/open-xchange-singlenode",
    'git_tag' => '1.3.0'
  },
  "open-xchange-repository" => {
    "path"     => File.expand_path("../../../../infrastructure/open-xchange-repository", __FILE__),
    "git"      => "https://code.open-xchange.com/git/infrastructure/cookbook/ox/open-xchange-repository",
    'git_tag' => '0.12.1'
  },
  'open-xchange-guard' => {
    'path'    => File.expand_path('../../../../infrastructure/open-xchange-guard', __FILE__),
    'git'     => 'https://code.open-xchange.com/git/infrastructure/cookbook/ox/open-xchange-guard',
    'git_tag' => '0.2.1'
  },
  "open-xchange-documents" => {
    "path"    => File.expand_path("../../../../infrastructure/open-xchange-documents", __FILE__),
    "git"     => "https://code.open-xchange.com/git/infrastructure/cookbook/ox/open-xchange-documents",
    "git_tag" => "0.11.5"
  },
  'open-xchange-database-singlenode' => {
    'path' => File.expand_path('../../../../open-xchange-database-singlenode', __FILE__),
    'git' => 'https://code.open-xchange.com/git/deployment/database/singlenode',
    'git_tag' => '1.0.10'
  },
  'selinux-helper' => {
    'path' => File.expand_path('../../../../selinux-helper', __FILE__),
    'git' => 'https://code.open-xchange.com/git/deployment/selinux-helper',
    'git_tag' => '0.1.0'
  }
}

# Define the location per cookbook to use, defaults to git
# Available: path, git, site
$oxconfig.cookbook_locations = {
  "open-xchange-backend-core"        => "git",
  "open-xchange-core"                => "git",
  "open-xchange-apache"              => "git",
  "open-xchange-singlenode"          => "git",
  "open-xchange-repository"          => "git",
  "open-xchange-guard"               => "git",
  "open-xchange-documents"           => "git",
  "open-xchange-database-singlenode" => "git",
  "selinux-helper"                   => "git",
}

# Login credentials for the software repositories
# Only set this in your own local.rb file and never check these into
# the git repository, please
$oxconfig.ldb_login = "DO NEVER SET THIS HERE BUT USE local.rb"
$oxconfig.ldb_password = "DO NEVER SET THIS HERE BUT USE local.rb"

# Caching proxy settings, can speed things up
# Note: $oxconfig.myip is the host system of the vagrant VMs (so usually the computer you're reading this on)
$oxconfig.myip = IPSocket.getaddress(Socket.gethostname)
$oxconfig.use_caching_proxy = false
$oxconfig.http_proxy = "http://" + $oxconfig.myip + ":8123"
$oxconfig.https_proxy = "https://" + $oxconfig.myip + ":8123"
$oxconfig.no_proxy = "localhost,127.0.0.1"

$oxconfig.use_preinstalled_chef = false

# Include the local.rb file, if its there
if File.exists?(File.expand_path("../local.rb", __FILE__))
	puts "Found a local configuration file, so using overrides from #{File.expand_path("../local.rb", __FILE__)}"
	require_relative ("local")
	$oxconfig.ldb_login = $oxconfig.apt_login if $oxconfig.apt_login
	$oxconfig.ldb_password = $oxconfig.apt_password if $oxconfig.apt_password
end
