# Description

Installs Open-Xchange on a single node using the open-xchange-singlenode cookbook

# Requirements

## Platform:

*No platforms defined*

## Cookbooks:

* open-xchange-singlenode (>= 0.11)
* open-xchange-documents (>= 0.11.1)
* hostname
* ssl_certificate

# Attributes

*No attributes defined*

# Recipes

* [singlenode::all_repos](#singlenodeall_repos) - Enable repos for all components.
* [singlenode::core_repos](#singlenodecore_repos)
* [singlenode::default](#singlenodedefault) - Default recipe that takes care of installing core components.
* [singlenode::documents](#singlenodedocuments) - Installs the documents components in addition to the default recipe.
* [singlenode::documents_repos](#singlenodedocuments_repos) - Enable repos for documents components.
* [singlenode::guard](#singlenodeguard) - After core is installed and guard repos are enabled this recipe can be used to extend the open-xchange server with the needed functionality and install the guard server beside it.
* [singlenode::guard_repos](#singlenodeguard_repos) - Enable repos for guard components.

## singlenode::all_repos

Enable repos for all components.

## singlenode::core_repos

Enable repos for core component

## singlenode::data_bag_check

The detailed infos about the repositories to use during installation are taken
from a repository data bag. This recipe verifies that a data bag exists for the
version specified by the user e.g. repository/7.8.0.json for the current stable
release.

## singlenode::default

Default recipe that takes care of installing core components.

This covers:

  * Webserver
  * Database
  * Mailservers (IMAP, SMTP)
  * OX Frontend and Backend

and provisions the specified contexts/users.

## singlenode::documents

Installs the documents components in addition to the default recipe.

## singlenode::documents_repos

Enable repos for documents components.

## singlenode::guard

After core is installed and guard repos are enabled this recipe can be used
to extend the open-xchange server with the needed functionality and install the
guard server beside it.

## singlenode::guard_repos

Enable repos for guard components.

# Definitions

* [enable_component_repo](#enable_component_repo) - This definition allows to enable repos for components defined in the   repository data bags.

## enable_component_repo

  This definition allows to enable repos for components defined in the
  repository data bags.

### Parameters

- component: The component we want to enable repos for. Defaults to: nil
- version: The version of the repos to enable. Has to match an existing data bag. Falls back to node['version'] if nil. Defaults to: nil

### Examples
    # Enables the repos for the guard component
    enable_component_repo 'guard'

    # Enable the core repos at a specific version
    enable_component_repo 'core' do
      version '7.8.0'
    end
# License and Maintainer

Maintainer:: Open-Xchange (<devops-team@open-xchange.com>)

License:: GPL v2
