=begin
#<
Default recipe that takes care of installing core components.

This covers:

  * Webserver
  * Database
  * Mailservers (IMAP, SMTP)
  * OX Frontend and Backend

and provisions the specified contexts/users.
#>
=end

include_recipe 'hostnames'

# Generate SSL cert and key if desired
if node['open-xchange-apache']['ssl']['enable']
    cert = ssl_certificate 'ox-apache' do
      namespace node['ox-apache']
    end
    node.default['open-xchange-apache']['ssl']['cert'] = cert.cert_path
    node.default['open-xchange-apache']['ssl']['key'] = cert.key_path
end

include_recipe 'open-xchange-singlenode::webserver'
include_recipe 'open-xchange-database-singlenode::default'
include_recipe 'open-xchange-singlenode::mailstore'

# Use updated hostname for postfix main.cf template
begin
    r = resources(template: "#{node['postfix']['conf_dir']}/main.cf")
    r.variables r.lazy {
        node.default['postfix']['main']['mydomain'] = (node['domain'] || node['hostname']).to_s.chomp('.')
        node.default['postfix']['main']['myhostname'] = (node['fqdn'] || node['hostname']).to_s.chomp('.')
        { :settings => node['postfix']['main'] }
    }
end

include_recipe 'open-xchange-singlenode::default'
