# Environment for the customer showcase.

name "customer"
description "Environment for singlenode showcase installations using the public repo server"
default_attributes 'set_fqdn' => 'singlenode.example.com',
   'open-xchange' => {
      'repository' => {
        'server' => 'software.open-xchange.com',
        'repos' => {
          'backend' => true,
          'appsuiteui' => true,
          'office' => true,
          'office-web' => true,
          'documentconverter-api' => true,
          'documentconverter' => true,
          'readerengine' => true,
          'guard' => true
         },
         'prefix' => "products/appsuite/stable",
         'prefix-guard' => "products/guard/stable",
         'suffix' => 'updates',
         'suffix-readerengine' => '',
         'suffix-documentconverter' => '',
         'useauth' => true
      },
      'tenants' => {
         1 => { 
           'name' => 'context1.example.com',
            'imapserver' => '127.0.0.1',
            'smtpserver' => '127.0.0.1',
            'quota' => 100
         }
      },
      'context1.example.com' => {
         1 => {
            'name' => 'user1',
            'access_combination_name' => 'groupware_premium'
         },
         2 => {
            'name' => 'user2',
            'access_combination_name' => 'groupware_premium'
         },
         3 => {
            'name' => 'user3',
            'access_combination_name' => 'groupware_premium'
         }
      },
      'properties' => {
        'com.openexchange.rest.services.basic-auth.login' => 'rest',
        'com.openexchange.rest.services.basic-auth.password' => 'secret1',
        'com.openexchange.guard.endpoint' => 'http://localhost:8009/guardadmin'
      },
      'url_domain' => 'example.com'
   },
   'open-xchange-guard' => {
      'properties' => {
        'com.openexchange.guard.supportApiUsername' => 'support',
        'com.openexchange.guard.supportApiPassword' => 'secret1',
        'com.openexchange.guard.guestSMTPServer' => 'localhost',
        'com.openexchange.guard.guestSMTPUsername' => 'smtp',
        'com.openexchange.guard.guestSMTPPassword' => 'secret1',
        'com.openexchange.guard.restApiUsername' => 'rest',
        'com.openexchange.guard.restApiPassword' => 'secret1',
        'com.openexchange.guard.databaseUsername' => 'openexchange',
        'com.openexchange.guard.databasePassword' => 'secret'
      }
   },
   'open-xchange-apache' => { 'allowedwebservices' => 'all', 'ssl' => { 'enable' => true } }
